Summary:        Fast, simple object-to-object and broadcast signaling
Name:           python-blinker
Version:        1.6.2
Release:        3%{?dist}
License:        MIT
URL:            https://github.com/pallets-eco/blinker
Source0:        %{url}/archive/%{version}/blinker-%{version}.tar.gz

BuildArch:      noarch
BuildRequires:  python3-devel
BuildRequires:  python3dist(pytest) python3dist(pytest) python3dist(pytest-asyncio)

%description
Blinker provides a fast dispatching system that allows any number\
of interested parties to subscribe to events, or "signals".

%package -n python3-blinker
Summary:        Fast, simple object-to-object and broadcast signaling
Provides:       python3-blinker

%description -n python3-blinker
Blinker provides a fast dispatching system that allows any number
of interested parties to subscribe to events, or "signals".

%prep
%autosetup -n blinker-%{version}

%generate_buildrequires
%pyproject_buildrequires

%build
%pyproject_wheel

%install
%pyproject_install
%pyproject_save_files blinker

%check
%pytest


%files -n python3-blinker -f %{pyproject_files}
%doc CHANGES.rst LICENSE.rst README.rst

%changelog
* Fri Aug 30 2024 cunshunxia <cunshunxia@tencent.com> - 1.6.2-3
- use pytest instead tox which will move to EPOL soon.

* Fri Aug 16 2024 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.6.2-2
- Rebuilt for loongarch release

* Tue Sep 26 2023 Wang Guodong <gordonwwang@tencent.com> - 1.6.2-1
- Upgrade to version 1.6.2

* Tue Sep 19 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5-5
- Rebuilt for python 3.11

* Fri Sep 08 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5-4
- Rebuilt for OpenCloudOS Stream 23.09

* Fri Apr 28 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5-3
- Rebuilt for OpenCloudOS Stream 23.05

* Fri Mar 31 2023 OpenCloudOS Release Engineering <releng@opencloudos.tech> - 1.5-2
- Rebuilt for OpenCloudOS Stream 23

* Tue Dec 6 2022 Feng Weiyao <wynnfeng@tencent.com> - 1.5-1
- package init.
